Bug 859110 - Review Request: glassfish-management-api - GlassFish Common APIs
Review Request: glassfish-management-api - GlassFish Common APIs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 859112 870977 985087
  Show dependency treegraph
 
Reported: 2012-09-20 11:04 EDT by gil cattaneo
Modified: 2013-10-05 08:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-21 20:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-20 11:04:03 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-management-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-management-api-3.1.0-0.1.b001.fc16.src.rpm
Description: The GlassFish MBean Annotation Library (gmbal, pronounced "Gumball")
is a library for using annotations to create Open MBeans. There is similar
functionality in JSR 255 for JDK 7, but gmbal only requires JDK 5. Gmbal
also supports JSR 77 ObjectNames and the GlassFish Version 3 AMX 
requirements for MBeans. AS a consequence, gmbal-enabled classes
will be fully manageable in GlassFish v3 using the standard GlassFish
v3 admin tools, while still being manageable with generic MBean tools
when not run under GlassFish v3.
Fedora Account System Username: gil
Comment 2 Michal Srb 2013-04-17 05:06:40 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glassfish-management-api-3.2.0-0.1.b001.fc20.noarch.rpm
          glassfish-management-api-javadoc-3.2.0-0.1.b001.fc20.noarch.rpm
glassfish-management-api.noarch: W: spelling-error %description -l en_US gmbal -> gumball
glassfish-management-api.noarch: W: spelling-error %description -l en_US Gmbal -> Gumball
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glassfish-management-api-javadoc glassfish-management-api
glassfish-management-api.noarch: W: spelling-error %description -l en_US gmbal -> gumball
glassfish-management-api.noarch: W: spelling-error %description -l en_US Gmbal -> Gumball
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
glassfish-management-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

glassfish-management-api (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
glassfish-management-api-javadoc:
    glassfish-management-api-javadoc

glassfish-management-api:
    glassfish-management-api
    mvn(org.glassfish.external:management-api)
    osgi(org.glassfish.external.management-api)



MD5-sum check
-------------
http://central.maven.org/maven2/org/glassfish/external/management-api/3.2.0-b001/management-api-3.2.0-b001-sources.jar :
  CHECKSUM(SHA256) this package     : 0b88d454f81733b5c527af37ab13e334d56a614b852445c3a7fe294cf946760a
  CHECKSUM(SHA256) upstream package : 0b88d454f81733b5c527af37ab13e334d56a614b852445c3a7fe294cf946760a
http://central.maven.org/maven2/org/glassfish/external/management-api/3.2.0-b001/management-api-3.2.0-b001.pom :
  CHECKSUM(SHA256) this package     : e531e1a4d0432caef0d799fdf576c208f69d78a16378153c3723133f10bc3863
  CHECKSUM(SHA256) upstream package : e531e1a4d0432caef0d799fdf576c208f69d78a16378153c3723133f10bc3863


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 859110

The package looks good

================
*** APPROVED ***
================
Comment 3 gil cattaneo 2013-04-17 05:19:51 EDT
thanks!

New Package SCM Request
=======================
Package Name: glassfish-management-api
Short Description: GlassFish Common APIs
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 4 Jon Ciesla 2013-04-17 11:13:43 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-04-17 12:32:57 EDT
glassfish-management-api-3.2.0-0.1.b001.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glassfish-management-api-3.2.0-0.1.b001.fc19
Comment 6 Fedora Update System 2013-04-17 12:42:43 EDT
glassfish-management-api-3.2.0-0.1.b001.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glassfish-management-api-3.2.0-0.1.b001.fc18
Comment 7 Fedora Update System 2013-04-17 22:27:14 EDT
glassfish-management-api-3.2.0-0.1.b001.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-04-21 20:41:42 EDT
glassfish-management-api-3.2.0-0.1.b001.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-04-25 21:01:33 EDT
glassfish-management-api-3.2.0-0.1.b001.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.